petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetUp

Sets up the internal data structures for the later use of a nonlinear solver.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetUp(SNES snes)

Collective on SNES Many br

### Input Parameters

snes -the SNES context Many br

### Notes

For basic use of the SNES solvers the user need not explicitly call Many brSNESSetUp(), since these actions will automatically occur during Many brthe call to SNESSolve(). However, if one wishes to control this Many brphase separately, SNESSetUp() should be called after SNESCreate() Many brand optional routines of the form SNESSetXXX(), but before SNESSolve(). Many br

Many br

### Keywords

SNES, nonlinear, setup

### See Also

SNESCreate(), SNESSolve(), SNESDestroy()

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages